gnutls_openpgp_crt_export2(3)

NAME
gnutls_openpgp_crt_export2 - API function

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_crt_export2(gnutls_openpgp_crt_t key, gnutls_openpgp_crt_fmt_t format, gnutls_datum_t * out);

ARGUMENTS

gnutls_openpgp_crt_t key
    Holds the key.

gnutls_openpgp_crt_fmt_t format
    One of gnutls_openpgp_crt_fmt_t elements.

gnutls_datum_t * out
    will contain the raw or base64 encoded key

DESCRIPTION
This function will convert the given key to RAW or Base64 format. The output buffer is allocated using gnutls_malloc().

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

SINCE
3.1.3

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/